base-4.5.1.0: Basic libraries

Portability | non-portable (requires universal quantification for runST)
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | Unsafe

Control.Monad.ST.Lazy.Unsafe

Contents

- Unsafe operations

Description

This module presents an identical interface to Control.Monad.ST, except that the monad delays evaluation of state operations until a value depending on them is required.

Unsafe API.

Synopsis

- unsafeInterleaveST :: ST s a -> ST s a
- unsafeIOToST :: IO a -> ST s a

# Unsafe operations

unsafeInterleaveST :: ST s a -> ST s a

unsafeIOToST :: IO a -> ST s a